Bug 1380140

Summary: Review Request: language-detector - Language Detection Library for Java
Product: [Fedora] Fedora Reporter: gil cattaneo <puntogil>
Component: Package ReviewAssignee: Mukundan Ragavan <nonamedotc>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: nonamedotc, package-review
Target Milestone: ---Flags: nonamedotc: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-09 02:43:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1340387    

Description gil cattaneo 2016-09-28 18:29:08 UTC
Spec URL: https://gil.fedorapeople.org/language-detector.spec
SRPM URL: https://gil.fedorapeople.org/language-detector-0.5-1.fc24.src.rpm
Description: A language detector / language guesser library in Java.
Fedora Account System Username: gil

Comment 1 Mukundan Ragavan 2016-10-01 20:07:43 UTC
only two (relatively, minor) items - 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 139 files have unknown
     license. Detailed output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1380140-language-
     detector/licensecheck.txt

---> Large number of files have no license header. Please request upstream to add license headers.


[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[?]: Package is named according to the Package Naming Guidelines.

---> Shouldn't this be named java-language-detector?

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     language-detector-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)

---> maven is used.

[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: language-detector-0.5-1.fc26.noarch.rpm
          language-detector-javadoc-0.5-1.fc26.noarch.rpm
          language-detector-0.5-1.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1380140-language-detector/srpm/language-detector.spec	2016-09-30 20:21:14.151983090 -0400
+++ /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1380140-language-detector/srpm-unpacked/language-detector.spec	2016-09-28 14:08:22.000000000 -0400
@@ -18,10 +18,8 @@
 BuildRequires: mvn(org.slf4j:slf4j-api)
 
-# This is a fork from https://code.google.com/p/lang-guess/ (forked on 2014-02-27) which itself is a fork
-# of the original project https://code.google.com/p/language-detection/ with improvements
 # Modified version of com.cybozu.labs:langdetect
 # ./src/main/java/be/frma/langguess/GenProfile.java
 # ./src/main/java/com/cybozu/labs/langdetect
-Provides:      bundled(langdetect) = 1.1-20120112
+Provides:      bundled(langdetect) = 1.1
 
 BuildArch:     noarch


---> please provide an updated spec and srpm

Requires
--------
language-detector-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

language-detector (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.google.guava:guava)
    mvn(com.intellij:annotations)
    mvn(net.arnx:jsonic)
    mvn(org.slf4j:slf4j-api)



Provides
--------
language-detector-javadoc:
    language-detector-javadoc

language-detector:
    bundled(langdetect)
    language-detector
    mvn(com.optimaize.languagedetector:language-detector)
    mvn(com.optimaize.languagedetector:language-detector:pom:)



Source checksums
----------------
https://github.com/optimaize/language-detector/archive/language-detector-0.5.tar.gz :
  CHECKSUM(SHA256) this package     : e63e20fec0a6e401c6573fe032c2bafef95d31a603291ddb762661d062386c37
  CHECKSUM(SHA256) upstream package : e63e20fec0a6e401c6573fe032c2bafef95d31a603291ddb762661d062386c37


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1380140
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 gil cattaneo 2016-10-01 20:48:39 UTC
(In reply to Mukundan Ragavan from comment #1)
> only two (relatively, minor) items - 
> 
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Apache (v2.0)", "Unknown or generated". 139 files have unknown
>      license. Detailed output of licensecheck in
>      /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1380140-language-
>      detector/licensecheck.txt
> 
> ---> Large number of files have no license header. Please request upstream
> to add license headers.

Reported @ https://github.com/optimaize/language-detector/issues/67

> [?]: Package is named according to the Package Naming Guidelines.
> 
> ---> Shouldn't this be named java-language-detector?
No, unless there is already a package with this name


> Diff spec file in url and in SRPM
> ---------------------------------
> ---
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1380140-language-detector/srpm/
> language-detector.spec	2016-09-30 20:21:14.151983090 -0400
> +++
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1380140-language-detector/srpm-
> unpacked/language-detector.spec	2016-09-28 14:08:22.000000000 -0400
> @@ -18,10 +18,8 @@
>  BuildRequires: mvn(org.slf4j:slf4j-api)
>  
> -# This is a fork from https://code.google.com/p/lang-guess/ (forked on
> 2014-02-27) which itself is a fork
> -# of the original project https://code.google.com/p/language-detection/
> with improvements
>  # Modified version of com.cybozu.labs:langdetect
>  # ./src/main/java/be/frma/langguess/GenProfile.java
>  # ./src/main/java/com/cybozu/labs/langdetect
> -Provides:      bundled(langdetect) = 1.1-20120112
> +Provides:      bundled(langdetect) = 1.1
>  
>  BuildArch:     noarch
> 
> 
> ---> please provide an updated spec and srpm

Done

Spec URL: https://gil.fedorapeople.org/language-detector.spec
SRPM URL: https://gil.fedorapeople.org/language-detector-0.5-2.fc24.src.rpm

Comment 3 Mukundan Ragavan 2016-10-01 20:57:53 UTC
Thanks for the updated files.

Package APPROVED.

Comment 4 Mukundan Ragavan 2016-10-01 20:58:35 UTC
If you time, can you help me complete my pile of review requests? 

Two more remaining - 

https://bugzilla.redhat.com/show_bug.cgi?id=1379095

and

https://bugzilla.redhat.com/show_bug.cgi?id=1379096


Thanks!

Comment 5 gil cattaneo 2016-10-01 21:08:07 UTC
(In reply to Mukundan Ragavan from comment #4)
> If you time, can you help me complete my pile of review requests? 
> 
> Two more remaining - 
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1379095
> 
> and
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1379096
> 
> 
> Thanks!

Sure. Thanks for the review!

create new SCM request/s:
https://admin.fedoraproject.org/pkgdb/package/requests/8081
https://admin.fedoraproject.org/pkgdb/package/requests/8082

Comment 6 Gwyn Ciesla 2016-10-03 13:44:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/language-detector

Comment 7 Fedora Update System 2016-10-05 01:55:03 UTC
language-detector-0.5-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6cd0442d1d

Comment 8 Fedora Update System 2016-10-09 02:43:56 UTC
language-detector-0.5-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.